<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.jerome.laurent</groupId>
		<artifactId>jdrawer</artifactId>
		<version>1.5.0-SNAPSHOT</version>
	</parent>

	<artifactId>jdrawer-javafx</artifactId>

	<name>jdrawer-javafx</name>

	<properties>
		<javafx.version>11.0.2</javafx.version>
		<main.class>org.jerome.laurent.jdrawer.api.JDrawer</main.class>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.jerome.laurent</groupId>
			<artifactId>jdrawer-api</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.jerome.laurent</groupId>
			<artifactId>jdrawer-computer</artifactId>
			<version>${project.version}</version>
		</dependency>

		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-controls</artifactId>
			<version>${javafx.version}</version>
		</dependency>

		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-graphics</artifactId>
			<version>${javafx.version}</version>
		</dependency>
		
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-swing</artifactId>
			<version>${javafx.version}</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
						<configuration>
							<archive>
								<manifest>
									<mainClass>${main.class}</mainClass>
								</manifest>
							</archive>
							<descriptorRefs>
								<descriptorRef>jar-with-dependencies</descriptorRef>
							</descriptorRefs>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>com.akathist.maven.plugins.launch4j</groupId>
				<artifactId>launch4j-maven-plugin</artifactId>
				<executions>
					<execution>
						<id>l4j-clui</id>
						<phase>package</phase>
						<goals>
							<goal>launch4j</goal>
						</goals>
						<configuration>
							<dontWrapJar>false</dontWrapJar>
							<headerType>gui</headerType>
							<outfile>${project.build.directory}/${project.artifactId}-${project.version}.exe</outfile>
							<jar>${project.build.directory}/${project.artifactId}-${project.version}-jar-with-dependencies.jar</jar>
							<jre>
								<minVersion>11</minVersion>
							</jre>
							<versionInfo>
								<fileVersion>1.0.0.0</fileVersion>
								<txtFileVersion>${project.version}</txtFileVersion>
								<fileDescription>Draw the mathematic</fileDescription>
								<copyright>Copyright 2019 JDrawer (Jérôme LAURENT). All Rights
									Reserved.</copyright>
								<productVersion>1.0.0.0</productVersion>
								<txtProductVersion>${project.version}</txtProductVersion>
								<companyName>Jérôme LAURENNT</companyName>
								<productName>JDrawer</productName>
								<internalName>${project.artifactId}</internalName>
								<originalFilename>${project.artifactId}}-${project.version}.exe</originalFilename>
							</versionInfo>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-jlink-plugin</artifactId>
				<version>3.0.0-alpha-1</version>
				<extensions>true</extensions>
				<configuration>
					<!-- configuration elements goes here -->
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
